
Ruby - Bug #4756

Cleanup and enhance docs for PTY (patch included)

05/22/2011 04:27 AM - davetron5000 (David Copeland)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-05-16 trunk 31583)

[x86_64-darwin10.7.0]

Backport:  

Description

This cleans up and expands the PTY rdoc

Associated revisions

Revision 87dbea7b - 05/22/2011 02:45 AM - drbrain (Eric Hodel)

ext/pty/pty.c:  Improve documentaton.  Patch by David Copeland.

[Ruby 1.9 - Bug #4756]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31688 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 161cdee2 - 05/31/2011 10:27 PM - drbrain (Eric Hodel)

ext/pty/pty.c (pty_check):  Restore "not reached" comment.

[Ruby 1.9 - Bug #4756]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31877 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/22/2011 11:45 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31688.

David, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

ext/pty/pty.c:  Improve documentaton.  Patch by David Copeland.

[Ruby 1.9 - Bug #4756]

#2 - 05/22/2011 11:46 AM - drbrain (Eric Hodel)

I told RDoc how to find the documentation for PTY::ChildExited like this:

/*

Document-class: PTY::ChildExited

Thrown when PTY#check is called for a pid that represents a process that

has exited.

*/

#3 - 05/24/2011 09:54 PM - mame (Yusuke Endoh)

- Status changed from Closed to Open

Hello,

 raise_from_check(cpid, status);
return Qnil;               /* not reached */

return Qnil;

Please do not remove such a comment in a document patch.

raise_from_check always raises an exception, so this

return statement is not reached actually.

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 06/01/2011 07:27 AM - drbrain (Eric Hodel)

Oops!  I meant to keep the "not reached" comment when I reviewed this diff but it slipped my mind when I applied it.

#5 - 06/01/2011 07:27 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

This issue was solved with changeset r31877.

David, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

ext/pty/pty.c (pty_check):  Restore "not reached" comment.

[Ruby 1.9 - Bug #4756]

Files

0002-Clean-up-docs-for-pty.patch 6.2 KB 05/22/2011 davetron5000 (David Copeland)
